> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single Lead by its id

> Get a single Lead by its id

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { leads } from '@drivly/commerce'

  const sdk = new SDK(...)

  const leads = await sdk.leads.findOne(leadsId: string): Promise<leads>
  ```
</Accordion>


## OpenAPI

````yaml get /leads/{id}
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /leads/{id}:
    get:
      tags:
        - leads
      summary: Get a single Lead by its id
      description: Get a single Lead by its id
      parameters:
        - name: id
          in: path
          description: id of the Lead
          required: true
          schema:
            type: string
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: where
          in: query
          description: >-
            pass a where query to constrain returned documents (complex type,
            see documentation)
          style: deepObject
          explode: true
          allowReserved: true
          schema:
            $ref: '#/components/schemas/where'
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
      responses:
        '200':
          $ref: '#/components/responses/leadsResponse'
        '404':
          $ref: '#/components/responses/NotFoundErrorResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    where:
      title: Where clause
      type: object
      additionalProperties:
        anyOf:
          - type: object
            properties:
              equals: {}
            additionalProperties: false
          - type: object
            properties:
              not_equals: {}
            additionalProperties: false
          - type: object
            properties:
              greater_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              greater_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              like:
                type: string
            additionalProperties: false
          - type: object
            properties:
              contains:
                type: string
            additionalProperties: false
          - type: object
            properties:
              in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              not_in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              exists:
                type: boolean
            additionalProperties: false
          - type: object
            properties:
              near:
                type: string
            additionalProperties: false
      properties:
        or:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
        and:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
      example:
        or:
          - color:
              equals: mint
          - and:
              - color:
                  equals: white
              - featured:
                  equals: false
    leads:
      additionalProperties: false
      title: Lead
      type: object
      properties:
        processStatuses:
          enum:
            - Qualified Lead
            - Actively Communicating
            - First Communication Attempt (phone and text)
            - Second Communication Attempt
            - On Hold
            - Lost
          type: string
          nullable: true
        reason:
          enum:
            - Do Not Contact
            - Duplicate
            - Looking For Business Financing
            - Looking For Listings
            - Looking For Personal Financing
            - Not Responding
            - Test
            - Bad Credit
          type: string
          nullable: true
        latestEvent:
          oneOf:
            - type: number
              nullable: true
            - additionalProperties: false
              title: LeadEvent
              type: object
              properties:
                lead:
                  type: number
                  nullable: true
                type:
                  enum:
                    - Cancel
                    - Customer Answered
                    - Customer Call
                    - Customer DNC Request
                    - Customer Email
                    - Customer Needs More Options
                    - Customer Search Provided
                    - Customer Selects Vehicle
                    - Customer Text
                    - Lead Created
                    - Loan Service Redirect
                    - Outbound Email
                    - Outbound Phone Call
                    - Outbound Phone Call Answered
                    - Outbound Phone Call Not Answered
                    - Outbound Text
                    - Outbound Voicemail Left
                    - Scheduled Call
                    - Search Results Found
                    - Status Check
                    - Time Passed
                  type: string
                  nullable: true
                status:
                  enum:
                    - Provide Customer With Three Options
                    - Customer Provided Options
                    - Answer Text Message
                    - Had Conversation
                    - Intake Form Submitted
                    - Send Text Message
                    - Send Text Template 1
                    - Waiting For Meeting
                    - Call Customer
                    - First Communication Attempt
                    - First Communication Attempt (phone and text)
                    - Searching
                    - Second Communication Attempt
                    - Send Text Nudge 1
                    - Waiting For Email Response
                    - Looking For Financing
                    - Customer Not Interested
                    - No Contact
                    - Customer Not Responding
                    - Customer Interested
                  type: string
                  nullable: true
                nextSteps:
                  type: string
                  nullable: true
                createdBy:
                  type: number
                  nullable: true
                currentStatusFor:
                  type: number
                  nullable: true
                updatedAt:
                  type: string
                createdAt:
                  type: string
              required:
                - id
                - updatedAt
                - createdAt
        notes:
          type: string
          nullable: true
        statusTracker:
          type: string
          nullable: true
        searches:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: Search
                type: object
                properties:
                  lead:
                    type: number
                    nullable: true
                  status:
                    enum:
                      - On Hold
                      - Searching
                      - Results Found
                      - Search Cancelled
                    type: string
                    nullable: true
                  retailListingUrls:
                    type: string
                    nullable: true
                  year:
                    type: string
                    nullable: true
                  make:
                    type: string
                    nullable: true
                  model:
                    type: string
                    nullable: true
                  trim:
                    type: string
                    nullable: true
                  bodyStyle:
                    items:
                      enum:
                        - car
                        - suv
                        - truck
                        - van
                        - wagon
                      type: string
                    type: array
                    nullable: true
                  drive:
                    items:
                      enum:
                        - 4WD
                        - AWD
                        - 2WD
                      type: string
                    type: array
                    nullable: true
                  transmission:
                    items:
                      enum:
                        - Manual
                        - Automatic
                      type: string
                    type: array
                    nullable: true
                  maxPrice:
                    type: string
                    nullable: true
                  maxMiles:
                    type: number
                    nullable: true
                  newOrUsed:
                    items:
                      enum:
                        - New
                        - Certified
                        - Used
                      type: string
                    type: array
                    nullable: true
                  minimumGrade:
                    type: number
                    nullable: true
                  requiredOptions:
                    items:
                      enum:
                        - Heated Seats
                        - No crazy colors
                        - Tow package
                        - Heated wheel
                        - Panoramic sunroof
                        - Leather Seats
                        - Bluetooth
                        - Backup Camera
                        - Apple Play
                        - Cooled Seats
                      type: string
                    type: array
                    nullable: true
                  acceptableColors:
                    items:
                      enum:
                        - Anti-Black
                        - Anti-Gray
                        - Anti-Red
                        - Anti-Silver
                        - Anti-White
                        - Beige
                        - Black
                        - Blue
                        - Brown
                        - Gold
                        - Gray
                        - Green
                        - Light Blue
                        - Orange
                        - Red
                        - Silver
                        - White
                        - Yellow
                      type: string
                    type: array
                    nullable: true
                  acceptableInterior:
                    items:
                      enum:
                        - Beige
                        - Black
                        - Brown
                        - Cream
                        - Gray
                        - Ivory
                        - Red
                        - Tan
                        - White
                        - Blue
                        - Burgundy
                        - Charcoal
                        - Off-White
                      type: string
                    type: array
                    nullable: true
                  proposedVehicles:
                    type: string
                    nullable: true
                  vehicles:
                    items:
                      type: number
                    type: array
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  seats:
                    type: string
                    nullable: true
                  updateRequested:
                    type: string
                    nullable: true
                  oneOwner:
                    type: boolean
                    nullable: true
                  priority:
                    type: boolean
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        attachments:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        call:
          type: string
          nullable: true
        zipcode:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        loginEmail:
          type: string
          nullable: true
        purchaseOption:
          type: string
          nullable: true
        timeToPurchase:
          items:
            enum:
              - ASAP
              - This week
              - Within 1-2 weeks
              - Within 2-4 weeks
              - Asap
              - This Week
              - Within 1-2 Weeks
              - Within 2-4 Weeks
              - within 1-2 weeks
              - within 2-4 weeks
              - within 1-2 months
              - other
              - this week
              - asap
              - 2+ months
              - just browsing
              - 1-2 months
              - 1-2 weeks
              - 2-4 weeks
            type: string
          type: array
          nullable: true
        monthlyPayment:
          type: number
          nullable: true
        budgetLower:
          type: string
          nullable: true
        budgetUpper:
          type: string
          nullable: true
        mileageLower:
          type: number
          nullable: true
        mileageUpper:
          type: number
          nullable: true
        cashDown:
          type: number
          nullable: true
        newOrUsed:
          type: string
          nullable: true
        bodyStyle:
          items:
            enum:
              - truck
              - car
              - van
              - suv
              - wagon
            type: string
          type: array
          nullable: true
        carStyle:
          items:
            enum:
              - sedan
              - coupe
              - convertible
              - hatchback
            type: string
          type: array
          nullable: true
        truckStyle:
          items:
            enum:
              - crew
              - reg
              - extended
            type: string
          type: array
          nullable: true
        suvStyle:
          items:
            enum:
              - small/compact
              - mid-size
              - large/full-size
            type: string
          type: array
          nullable: true
        vanStyle:
          items:
            enum:
              - cargo
              - passenger
              - conversion
            type: string
          type: array
          nullable: true
        yearLower:
          type: number
          nullable: true
        yearUpper:
          type: number
          nullable: true
        year:
          type: number
          nullable: true
        make:
          type: string
          nullable: true
        model:
          type: string
          nullable: true
        exterior:
          items:
            enum:
              - Silver
              - White
              - Black
              - Brown
              - Blue
              - Orange
              - Red
              - Green
              - Any color
              - Beige
              - Gold
              - Gray
              - Light Blue
            type: string
          type: array
          nullable: true
        interior:
          items:
            enum:
              - Black
              - Gray
              - Tan
              - Beige
              - Blue
              - Brown
              - Red
              - White
              - Any color
              - Ivory
              - Cream
            type: string
          type: array
          nullable: true
        fuelType:
          items:
            enum:
              - Gasoline
              - Electric
              - Hybrid
              - gasoline
              - flex fuel
              - diesel
              - other
              - hybrid
              - electric
            type: string
          type: array
          nullable: true
        drivetrain:
          items:
            enum:
              - Four Wheel Drive
              - Rear Wheel Drive
              - Front Wheel Drive
              - all wheel drive
              - front wheel drive
              - rear wheel drive
            type: string
          type: array
          nullable: true
        transmission:
          items:
            enum:
              - Automatic
              - Manual
              - automatic
              - cvt
              - manual
            type: string
          type: array
          nullable: true
        comfort:
          items:
            enum:
              - Leather/premium Seats
              - Heated Steering Wheel
              - leather/premium seats
              - heated steering wheel
              - ventilated or cooled seats
              - heated seats
              - dual-zone/climate control
              - power-adjustable seats
              - noise-cancelling technology
              - massage seats
            type: string
          type: array
          nullable: true
        safety:
          items:
            enum:
              - Adaptive Cruise Control
              - Blind Spot Monitor
              - lane departure warning
              - back up camera
              - 360 camera
              - park assist
              - heads-up display
              - adaptive cruise control
              - blind spot monitor
            type: string
          type: array
          nullable: true
        entertainment:
          items:
            enum:
              - Premium Audio System
              - Entertainment Package/dvd
              - premium audio system
              - apple carplay/android auto
              - bluetooth
              - auxiliary input
              - usb ports
              - wireless device charging
              - wi-fi hotspot
              - navigation system
              - entertainment package/dvd
              - satellite radio
            type: string
          type: array
          nullable: true
        utility:
          items:
            enum:
              - Towing Package
              - Sunroof/moonroof/panoramic Roof
              - towing package
              - sunroof/moonroof/panoramic roof
              - adaptive suspension
              - 4 wheel drive
              - 3rd row seats
              - handicap accessible
            type: string
          type: array
          nullable: true
        subscribe:
          type: boolean
          nullable: true
        agree:
          type: boolean
          nullable: true
        customer:
          type: string
          nullable: true
        messageNotifications:
          type: boolean
          nullable: true
        emailNotifications:
          type: boolean
          nullable: true
        emailAlerts:
          type: boolean
          nullable: true
        emailOffers:
          type: boolean
          nullable: true
        leadEvents:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: LeadEvent
                type: object
                properties:
                  lead:
                    type: number
                    nullable: true
                  type:
                    enum:
                      - Cancel
                      - Customer Answered
                      - Customer Call
                      - Customer DNC Request
                      - Customer Email
                      - Customer Needs More Options
                      - Customer Search Provided
                      - Customer Selects Vehicle
                      - Customer Text
                      - Lead Created
                      - Loan Service Redirect
                      - Outbound Email
                      - Outbound Phone Call
                      - Outbound Phone Call Answered
                      - Outbound Phone Call Not Answered
                      - Outbound Text
                      - Outbound Voicemail Left
                      - Scheduled Call
                      - Search Results Found
                      - Status Check
                      - Time Passed
                    type: string
                    nullable: true
                  status:
                    enum:
                      - Provide Customer With Three Options
                      - Customer Provided Options
                      - Answer Text Message
                      - Had Conversation
                      - Intake Form Submitted
                      - Send Text Message
                      - Send Text Template 1
                      - Waiting For Meeting
                      - Call Customer
                      - First Communication Attempt
                      - First Communication Attempt (phone and text)
                      - Searching
                      - Second Communication Attempt
                      - Send Text Nudge 1
                      - Waiting For Email Response
                      - Looking For Financing
                      - Customer Not Interested
                      - No Contact
                      - Customer Not Responding
                      - Customer Interested
                    type: string
                    nullable: true
                  nextSteps:
                    type: string
                    nullable: true
                  createdBy:
                    type: number
                    nullable: true
                  currentStatusFor:
                    type: number
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        cfZipcode:
          type: string
          nullable: true
        cfState:
          type: string
          nullable: true
        cfCity:
          type: string
          nullable: true
        completedDate:
          type: string
          nullable: true
        localTime:
          type: string
          nullable: true
        trade:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: Trade
                type: object
                properties:
                  status:
                    enum:
                      - 'Vehicle Picked Up '
                      - Dropped Off At Manheim
                    type: string
                    nullable: true
                  deal:
                    type: number
                    nullable: true
                  creditApplication:
                    type: number
                    nullable: true
                  tradeInAllowance:
                    type: string
                    nullable: true
                  odometer:
                    type: number
                    nullable: true
                  lienholder:
                    type: number
                    nullable: true
                  tradeInPayoffBalance:
                    type: string
                    nullable: true
                  payoffGoodThrough:
                    type: string
                    nullable: true
                  vehicle:
                    type: number
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        messages:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: Message
                type: object
                properties:
                  status:
                    enum:
                      - Send
                      - Sent
                      - Received
                      - Queued
                      - Canceled
                      - Retry
                      - Manual
                    type: string
                    nullable: true
                  message:
                    type: string
                    nullable: true
                  phone:
                    type: string
                    nullable: true
                  lead:
                    type: number
                    nullable: true
                  template:
                    type: number
                    nullable: true
                  createdTime:
                    type: string
                    nullable: true
                  generated:
                    type: boolean
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  openphoneMessageId:
                    type: string
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        creditScore:
          type: string
          nullable: true
        contactScore:
          type: string
          nullable: true
        contactBelongsTo:
          type: string
          nullable: true
        contactType:
          type: string
          nullable: true
        contactValid:
          type: boolean
          nullable: true
        testingCustomer:
          type: boolean
          nullable: true
        estimatedAgeRange:
          type: string
          nullable: true
        estimatedAddress:
          type: string
          nullable: true
        estimatedZipcode:
          type: string
          nullable: true
        meetings:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: Meeting
                type: object
                properties:
                  name:
                    type: string
                    nullable: true
                  lead:
                    type: number
                    nullable: true
                  email:
                    type: string
                    nullable: true
                  phone:
                    type: string
                    nullable: true
                  meetingTime:
                    type: string
                    nullable: true
                  comments:
                    type: string
                    nullable: true
                  createdBy:
                    type: number
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        makeAndModel:
          type: string
          nullable: true
        conversation:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        preApprovalId:
          type: string
          nullable: true
        vdpEmails:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: VdpEmail
                type: object
                properties:
                  status:
                    enum:
                      - Draft
                      - Send
                      - Sent
                    type: string
                    nullable: true
                  lead:
                    type: number
                    nullable: true
                  vins:
                    items:
                      type: number
                    type: array
                    nullable: true
                  createdBy:
                    type: number
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  vinCount:
                    type: string
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        favorites:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: CrmVehicle
                type: object
                properties:
                  vin:
                    type: string
                    nullable: true
                  search:
                    items:
                      type: number
                    type: array
                    nullable: true
                  favorite:
                    items:
                      type: number
                    type: array
                    nullable: true
                  exteriorColor:
                    type: string
                    nullable: true
                  status:
                    enum:
                      - Needs Review
                      - Exclude
                      - To Send to Customer
                      - Sent to Customer
                      - Watching Price
                      - Customer Approved
                    type: string
                    nullable: true
                  reason:
                    items:
                      enum:
                        - Wrong Color
                        - Wrong Trim
                        - Out of price range
                        - Sold at Auction
                        - Salvage Title
                        - Damage on the Carfax
                        - Old
                        - Condition Report
                        - Mileage
                        - Test
                        - Manual transmission
                        - Features
                        - Waiting for Lower Price
                        - Duplicate
                        - MECHANICAL AND DIAGNOSTIC CODES
                        - Previous Canadian
                        - No Pictures
                      type: string
                    type: array
                    nullable: true
                  notes:
                    type: string
                    nullable: true
                  salesPrice:
                    type: string
                    nullable: true
                  year:
                    type: number
                    nullable: true
                  make:
                    type: string
                    nullable: true
                  model:
                    type: string
                    nullable: true
                  trim:
                    type: string
                    nullable: true
                  bodyStyle:
                    type: string
                    nullable: true
                  mileage:
                    type: number
                    nullable: true
                  condition:
                    type: number
                    nullable: true
                  newOrUsed:
                    type: string
                    nullable: true
                  auction:
                    type: string
                    nullable: true
                  auctionDate:
                    type: string
                    nullable: true
                  laneAndRun:
                    type: string
                    nullable: true
                  pickupZip:
                    type: string
                    nullable: true
                  estimatedTransportFee:
                    type: string
                    nullable: true
                  adjMmr:
                    type: string
                    nullable: true
                  minBid:
                    type: string
                    nullable: true
                  buyNow:
                    type: string
                    nullable: true
                  retailPrice:
                    type: string
                    nullable: true
                  tmvUsedRetailTotalWithOptions:
                    type: string
                    nullable: true
                  kbbRetailBook:
                    type: string
                    nullable: true
                  bbTotalRetail:
                    type: string
                    nullable: true
                  wholesaleVdp:
                    type: string
                    nullable: true
                  retailVdp:
                    type: string
                    nullable: true
                  conditionReport:
                    type: string
                    nullable: true
                  updateRequested:
                    type: string
                    nullable: true
                  createdBy:
                    type: number
                    nullable: true
                  lastModifiedBy:
                    type: number
                    nullable: true
                  vdpEmails:
                    items:
                      type: number
                    type: array
                    nullable: true
                  likes:
                    type: string
                    nullable: true
                  dislikes:
                    type: string
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        calls:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: Call
                type: object
                properties:
                  name:
                    type: string
                    nullable: true
                  lead:
                    type: number
                    nullable: true
                  phone:
                    type: string
                    nullable: true
                  conversation:
                    type: string
                    nullable: true
                  recording:
                    type: string
                    nullable: true
                  transcript:
                    type: string
                    nullable: true
                  notes:
                    type: string
                    nullable: true
                  rating:
                    type: number
                    nullable: true
                  ratingNote:
                    type: string
                    nullable: true
                  followUpEmail:
                    type: string
                    nullable: true
                  nextSteps:
                    type: string
                    nullable: true
                  conversationUrl:
                    type: string
                    nullable: true
                  developmentCall:
                    type: boolean
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        salesRep:
          oneOf:
            - type: number
              nullable: true
            - additionalProperties: false
              title: SalesRep
              type: object
              properties:
                name:
                  type: string
                  nullable: true
                user:
                  type: string
                  nullable: true
                phone:
                  type: string
                  nullable: true
                phoneNumber:
                  type: string
                  nullable: true
                leads:
                  items:
                    type: number
                  type: array
                  nullable: true
                acceptNewLeads:
                  type: boolean
                  nullable: true
                assignedLeads:
                  type: string
                  nullable: true
                creditBands:
                  items:
                    enum:
                      - Excellent (750-900)
                      - Good (700-749)
                      - Fair (650-699)
                      - Fair (600-649)
                      - OK (550-599)
                      - Poor (300-549)
                      - Unknown
                    type: string
                  type: array
                  nullable: true
                templates:
                  items:
                    type: number
                  type: array
                  nullable: true
                updatedAt:
                  type: string
                createdAt:
                  type: string
              required:
                - id
                - updatedAt
                - createdAt
        preApprovals:
          items:
            oneOf:
              - type: number
              - additionalProperties: false
                title: PreApproval
                type: object
                properties:
                  customer:
                    type: number
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    enum:
                      - Processing
                      - Error
                      - Processed
                      - Needs Info
                    type: string
                    nullable: true
                  firstName:
                    type: string
                    nullable: true
                  middleInitial:
                    type: string
                    nullable: true
                  lastName:
                    type: string
                    nullable: true
                  suffix:
                    enum:
                      - JR
                      - SR
                      - II
                      - III
                      - IV
                    type: string
                    nullable: true
                  address:
                    type: string
                    nullable: true
                  city:
                    type: string
                    nullable: true
                  state:
                    enum:
                      - AA
                      - AE
                      - AK
                      - AL
                      - AR
                      - AS
                      - AZ
                      - CA
                      - CO
                      - CT
                      - DC
                      - DE
                      - FL
                      - FM
                      - GA
                      - GU
                      - HI
                      - IA
                      - ID
                      - IL
                      - IN
                      - KS
                      - KY
                      - LA
                      - MA
                      - MD
                      - ME
                      - MH
                      - MI
                      - MN
                      - MO
                      - MP
                      - MS
                      - MT
                      - NC
                      - ND
                      - NE
                      - NH
                      - NJ
                      - NM
                      - NV
                      - NY
                      - OH
                      - OK
                      - OR
                      - PA
                      - PR
                      - PW
                      - RI
                      - SC
                      - SD
                      - TN
                      - TX
                      - UT
                      - VA
                      - VI
                      - VT
                      - WA
                      - WI
                      - WV
                      - WY
                      - AP
                    type: string
                    nullable: true
                  zip:
                    type: string
                    nullable: true
                  phone:
                    type: string
                    nullable: true
                  email:
                    type: string
                    nullable: true
                  income:
                    type: string
                    nullable: true
                  ipAddress:
                    type: string
                    nullable: true
                  userAgent:
                    type: string
                    nullable: true
                  isp:
                    type: string
                    nullable: true
                  sessionId:
                    type: string
                    nullable: true
                  resend:
                    type: string
                    nullable: true
                  AppId:
                    type: number
                    nullable: true
                  segmentationBand:
                    enum:
                      - Excellent (750-900)
                      - Good (700-749)
                      - Fair (650-699)
                      - Fair (600-649)
                      - OK (550-599)
                      - Lower (300-549)
                      - Unknown
                      - NS
                    type: string
                    nullable: true
                  Name:
                    type: string
                    nullable: true
                  Score:
                    type: string
                    nullable: true
                  Status:
                    type: string
                    nullable: true
                  CreateDate:
                    type: string
                    nullable: true
                  DealerName:
                    type: string
                    nullable: true
                  Email:
                    type: string
                    nullable: true
                  AppMobileNo:
                    type: string
                    nullable: true
                  IsFullFileReportAvilable:
                    type: boolean
                    nullable: true
                  estimatedInterestRate:
                    type: string
                    nullable: true
                  estimatedLoanTerm:
                    type: string
                    nullable: true
                  lead:
                    type: number
                    nullable: true
                  UserName:
                    type: string
                    nullable: true
                  ProductId:
                    type: number
                    nullable: true
                  QuickProductId:
                    type: number
                    nullable: true
                  StatusId:
                    type: number
                    nullable: true
                  IsQqPass:
                    type: number
                    nullable: true
                  IsQuickQualifyXpress:
                    type: boolean
                    nullable: true
                  IsLeadFormReport:
                    type: boolean
                    nullable: true
                  IsQr:
                    type: boolean
                    nullable: true
                  RemoveOperator:
                    type: boolean
                    nullable: true
                  IsQScan:
                    type: boolean
                    nullable: true
                  QuickScanStatus:
                    type: string
                    nullable: true
                  updatedAt:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - updatedAt
                  - createdAt
          type: array
          nullable: true
        anonymousId:
          type: string
          nullable: true
        manual:
          type: boolean
          nullable: true
        trim:
          type: string
          nullable: true
        oneOwner:
          type: boolean
          nullable: true
        customers:
          oneOf:
            - type: number
              nullable: true
            - additionalProperties: false
              title: Customer
              type: object
              properties:
                customerId:
                  type: string
                  nullable: true
                leads:
                  items:
                    type: number
                  type: array
                  nullable: true
                address:
                  type: number
                  nullable: true
                shippingContact:
                  type: number
                  nullable: true
                deals:
                  items:
                    type: number
                  type: array
                  nullable: true
                createdBy:
                  type: number
                  nullable: true
                lastModifiedBy:
                  type: number
                  nullable: true
                email:
                  type: string
                  nullable: true
                phone:
                  type: string
                  nullable: true
                insurancePolicies:
                  items:
                    type: number
                  type: array
                  nullable: true
                tenants:
                  items:
                    type: number
                  type: array
                  nullable: true
                consumerStatus:
                  enum:
                    - SOLD
                    - Pending
                    - Working
                    - Cold
                    - LOST
                    - Duplicate
                    - DNC
                  type: string
                  nullable: true
                consumerFirstName:
                  type: string
                  nullable: true
                consumerMiddleName:
                  type: string
                  nullable: true
                consumerLastName:
                  type: string
                  nullable: true
                consumerSuffix:
                  type: string
                  nullable: true
                consumerDateOfBirth:
                  type: string
                  nullable: true
                consumerEducationLevel:
                  type: string
                  nullable: true
                consumerVehicles:
                  items:
                    type: number
                  type: array
                  nullable: true
                consumerPhoneType:
                  type: string
                  nullable: true
                consumerDriversLicense:
                  type: string
                  nullable: true
                consumerDriversLicenseState:
                  type: string
                  nullable: true
                consumerDriversLicenseNumber:
                  type: string
                  nullable: true
                consumerDriversLicenseExp:
                  type: string
                  nullable: true
                consumerDriversLicenseExpiration:
                  type: string
                  nullable: true
                consumerPreApprovals:
                  items:
                    type: number
                  type: array
                  nullable: true
                consumerGetPreApproved:
                  type: string
                  nullable: true
                consumerProvideProofOfInsurance:
                  type: string
                  nullable: true
                consumerLoginToBank:
                  type: string
                  nullable: true
                consumerConnectCar:
                  type: string
                  nullable: true
                consumerProvideProofOfIncome:
                  type: string
                  nullable: true
                consumerConsumerId:
                  type: string
                  nullable: true
                consumerCreditApplicationId:
                  type: string
                  nullable: true
                deals2:
                  items:
                    type: number
                  type: array
                  nullable: true
                consumerSocialSecurity:
                  type: string
                  nullable: true
                consumerDriversLicenceState:
                  type: string
                  nullable: true
                consumerIncome:
                  type: number
                  nullable: true
                consumerIncomeInterval:
                  type: string
                  nullable: true
                consumerEmploymentStatusCode:
                  type: string
                  nullable: true
                consumerEmploymentDuration:
                  type: number
                  nullable: true
                consumerEmployerName:
                  type: string
                  nullable: true
                consumerEmployerPhone:
                  type: string
                  nullable: true
                consumerEmploymentTitle:
                  type: string
                  nullable: true
                consumerPreviousEmployerName:
                  type: string
                  nullable: true
                consumerPreviousEmployerPhone:
                  type: string
                  nullable: true
                consumerPreviousEmploymentTitle:
                  type: string
                  nullable: true
                consumerPreviousEmploymentDuration:
                  type: number
                  nullable: true
                consumerPreviousEmploymentincome:
                  type: number
                  nullable: true
                consumerTimeAtResidence:
                  type: number
                  nullable: true
                consumerPreviousAddressLine1:
                  type: string
                  nullable: true
                consumerPreviousAddressLine2:
                  type: string
                  nullable: true
                consumerPreviousAddressCity:
                  type: string
                  nullable: true
                consumerPreviousAddressState:
                  type: string
                  nullable: true
                consumerPreviousZip:
                  type: string
                  nullable: true
                consumerPreviousAddressDuration:
                  type: number
                  nullable: true
                consumerResidenceType:
                  type: string
                  nullable: true
                consumerRentMortgage:
                  type: number
                  nullable: true
                consumerOtherIncomeDescription:
                  type: string
                  nullable: true
                consumerOtherIncomeAmount:
                  type: number
                  nullable: true
                consumerLeadSource:
                  items:
                    enum:
                      - Car Concierge (Andrew)
                      - Driv.ly Website
                      - Self Generated
                      - Referral
                      - Rocket
                    type: string
                  type: array
                  nullable: true
                companyName:
                  type: string
                  nullable: true
                companyDealerDeals:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyDealsFacilitated:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyInsuranceQuotes:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyType:
                  items:
                    enum:
                      - Dealer
                      - Concierge
                      - Broker
                      - Partner
                      - Auction
                      - Affiliate
                      - Insurer
                      - Mobile Detailer
                      - Last Mile Transporter
                      - Service Provider
                      - Lender
                    type: string
                  type: array
                  nullable: true
                companyWebsite:
                  type: string
                  nullable: true
                companyStripeConnectLink:
                  type: string
                  nullable: true
                companyCustomerPortalLink:
                  type: string
                  nullable: true
                companyServiceQuotes:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyServiceOrders:
                  type: string
                  nullable: true
                companyServiceQuotesPartners:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyVisibility:
                  type: string
                  nullable: true
                companyTenants2:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyCustomer:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyTrades:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyTenants3:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyPartnerBrand:
                  type: number
                  nullable: true
                companyDeals3:
                  items:
                    type: number
                  type: array
                  nullable: true
                companyRouteOneDealer:
                  type: string
                  nullable: true
                companyTransportServiceOrders:
                  items:
                    type: number
                  type: array
                  nullable: true
                updatedAt:
                  type: string
                createdAt:
                  type: string
              required:
                - id
                - updatedAt
                - createdAt
        updatedAt:
          type: string
        createdAt:
          type: string
      required:
        - id
        - updatedAt
        - createdAt
    error:
      title: Error response message
      type: object
      additionalProperties: false
      properties:
        errors:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              message:
                type: string
            required:
              - message
      required:
        - errors
  responses:
    leadsResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/leads'
    NotFoundErrorResponse:
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````